slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSGetArrayReal

Returns a real pointer to the internal array of T or D. You MUST call DSRestoreArrayReal() when you no longer need to access the array.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetArrayReal(DS ds,DSMatType m,PetscReal *a[])

Not Collective

### Input Parameters

| ds | - the direct solver context
| m | - the requested matrix

### Output Parameter

| a | - pointer to the values

### Note

This function can be used only for DS_MAT_T and DS_MAT_D. These matrices always store real values, even in complex scalars, that is why the returned pointer is PetscReal.

### See Also

DSRestoreArrayReal(), DSGetArray()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages